### Signal

# WebKit WebView::print

#### Declaration

    gboolean
    print (
      WebKitWebView* self,
      WebKitPrintOperation* print_operation,
      gpointer user_data
    )

#### Description [src]

Emitted when printing is requested on `web_view`, usually by a JavaScript call, before the print dialog is shown. This signal can be used to set the initial print settings and page setup of `print_operation` to be used as default values in the print dialog. You can call `webkit_print_operation_set_print_settings()` and `webkit_print_operation_set_page_setup()` and then return `FALSE` to propagate the event so that the print dialog is shown.

You can connect to this signal and return `TRUE` to cancel the print operation or implement your own print dialog.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`print_operation`

  Type: `WebKitPrintOperation`

  The `WebKitPrintOperation` that will handle the print request.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` to stop other handlers from being invoked for the event. `FALSE` to propagate the event further.